Bug 730881 - gnome desktop not showing properly with Mobility Radeon X300
Summary: gnome desktop not showing properly with Mobility Radeon X300
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 05:55 UTC by Alejandro Gonzalez Hernandez - Imoq
Modified: 2018-04-11 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:13:38 UTC


Attachments (Terms of Use)
Xorg log (36.24 KB, text/plain)
2011-08-16 05:55 UTC, Alejandro Gonzalez Hernandez - Imoq
no flags Details
Desktop, file one. (527.03 KB, image/png)
2011-08-16 05:57 UTC, Alejandro Gonzalez Hernandez - Imoq
no flags Details
Desktop, file two. (294.65 KB, image/png)
2011-08-16 05:57 UTC, Alejandro Gonzalez Hernandez - Imoq
no flags Details

Description Alejandro Gonzalez Hernandez - Imoq 2011-08-16 05:55:57 UTC
Created attachment 518401 [details]
Xorg log

Description of problem:

Not sure if I should file this bug under gnome or under xorg-x11-drv-ati. When I use Fedora 15, either Live CD or install, gnome does not show all icons properly, as shown in the two screenshots attached.

If I go to "System Info" -> Graphics -> "Force Fallback mode ON" then graphics are back but I lose nifty windows.


Version-Release number of selected component (if applicable):

yum update as per today


How reproducible:

Always, using this video card.


Steps to Reproduce:
1. Boot Fedora 15 or Live CD
2. Enter GNOME
3.
  
Actual results:

System graphics messed up.

Expected results:

Nice system graphics.

Additional info:

[root@scoobylaptopdell ~]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root Port (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
[root@scoobylaptopdell ~]# 

Attaching Xorg log and screenshots.

Comment 1 Alejandro Gonzalez Hernandez - Imoq 2011-08-16 05:57:09 UTC
Created attachment 518402 [details]
Desktop, file one.

Comment 2 Alejandro Gonzalez Hernandez - Imoq 2011-08-16 05:57:58 UTC
Created attachment 518403 [details]
Desktop, file two.

Comment 3 Matěj Cepl 2011-08-22 13:08:06 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, switch off falback mode, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Matěj Cepl 2011-08-22 13:09:18 UTC
sorry, in case of /var/log/Xorg.0.log I am just interested in any Backtraces you may find.

Comment 5 Fedora End Of Life 2012-08-07 19:13:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.